# 当前环境: development
NEXT_PUBLIC_APP_ENV=development

# NextAuth v4 —— OAuth callback base URL（dev 本机）
NEXTAUTH_URL=http://localhost:3000

# 后端 API 基础 URL（开发环境）
NEXT_PUBLIC_API_BASE_URL=http://172.16.48.49:3002

# WebSocket URL（开发环境，可选）
NEXT_PUBLIC_WS_BASE_URL=ws://172.16.48.49:3002/ws


# API 超时时间（毫秒）
NEXT_PUBLIC_API_CONNECT_TIMEOUT=30000
NEXT_PUBLIC_API_RECEIVE_TIMEOUT=60000
NEXT_PUBLIC_API_SEND_TIMEOUT=30000

# next-auth v4（Auth.js）—— JWT 签名密钥
# dev 环境独立密钥（**不**与 test / prod 共用）
AUTH_SECRET=PinzhujxR/qMPrY7bAor8qQlwmmy1tJJCex9Tomhk2c=

# 第三方 OAuth
AUTH_GOOGLE_ID=351948560061-isubggf6eahfii9n0stpf2qu3haralro.apps.googleusercontent.com
AUTH_GOOGLE_SECRET=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
AUTH_FACEBOOK_ID=26934819589512827
AUTH_FACEBOOK_SECRET=004b1a9384b3433e153992e5edcef4ad

# Cloudflare CDN（test / production 部署后刷缓存用）
CF_ZONE_ID=b1b6bfb7795667609c8e7f418af0156b
CF_API_TOKEN=cfut_xyHb70XCw0j8f5Wz5fg5PemUQ2ZHnSpWvmrBvVeK94d3b00f
